﻿local GrindLoot_ClothLoot = { [2589]=1, [2592]=1, [4306]=1, [4338]=1, [14256]=1, [14047]=1, [14342]=1, [21877 ]=1 };
local GrindLoot_SkinLoot = { [2934]=1, [2318]=1, [2319]=1, [4234]=1, [4304]=1, [8170]=1,
                    [15423]=1,[15417]=1,[15422]=1,[15419]=1,[17012]=1, [5082]=1, [25699]=1,
                    [21887]=1,[25649]=1,[20499]=1,[20498]=1,[25700]=1,[25707]=1,
                      [783]=1, [4232]=1, [4235]=1, [8169]=1, [8171]=1, [7428]=1, [8368]=1,
                     [8154]=1, [7287]=1, [8167]=1, [7286]=1,[12607]=1,
                    [15416]=1,[15415]=1,[15414]=1,[15412]=1, [8165]=1,[15408]=1,
                     [6470]=1, [6471]=1, [7392]=1, [8165]=1,
                    [23107]=1,[24189]=1,[21929]=1,
					[27859]=1,[22575]=1,[22790]=1,[22785]=1,[25813]=1,[22789]=1 }


-----------------------------------------------------------------------------
-- GetLootId()
--
-- get loot ID code for given loot slot number, also return link object
--
local function GetLootId( slot )
	local itemId = 0
	local link = GetLootSlotLink( slot )

	if link then
		local _, _, idCode = string.find(link, "|Hitem:(%d+):(%d+):(%d+):")
		itemId = tonumber( idCode or 0 )
	end

	return itemId
end 
-- GetLootId()

-----------------------------------------------------------------------------
-- chattext()
--
-- spits out msg to the chat channel.
--
function Gchattext(txt)
	if( DEFAULT_CHAT_FRAME ) then
		DEFAULT_CHAT_FRAME:AddMessage( "|cff00e0ff <GRINDLOOT> "..txt )
	end
end -- chattext()

function GrindLoot_OnLoad()
	this:RegisterEvent("LOOT_OPENED");
end

function GrindLoot_OnEvent(event)
	for slotnum = 1, GetNumLootItems() do
        local texture, itemName, quantity, quality = GetLootSlotInfo(slotnum)
        local itemID = GetLootId( slotnum )
       	local itemName2, itemLink, itemRarity, itemLevel, itemMinLevel, itemType, itemSubType, itemStackCount, itemEquipLoc = GetItemInfo(itemID)

        if itemType=="Quest" then
         Gchattext( "Autolooted "..quantity.." "..itemName )
         LootSlot(slotnum)
        end
        
        if quality>=2 then
         Gchattext( "Autolooted "..quantity.." "..itemName )
         LootSlot(slotnum)
        else
            if LootSlotIsCoin(slotnum) then
             itenName=string.gsub(itemName, "\n", " ", 1, true); 
             Gchattext( "Autolooted "..itemName )
             LootSlot(slotnum)
            else
                if GrindLoot_ClothLoot[itemID] then 
                 Gchattext( "Autolooted "..quantity.." "..itemName )
                 LootSlot(slotnum)
                else
                if GrindLoot_SkinLoot[itemID] then 
                 Gchattext( "Autolooted "..quantity.." "..itemName )
                 LootSlot(slotnum)
                end
                end
            end
        end
	end
end